﻿using Hello.ServiceModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ServiceStack;
using Hello.Business;

namespace Hello.Service
{
    public class NumberService : ServiceStack.Service
    {
        public RandomNumber Get(GetRandomNumber request)
        {
            int number = Generator.CreateRandomNumber(request.LowerBound, request.UpperBound);

            RandomNumber response = new RandomNumber
            {
                Value = number,
                Timestamp = DateTime.UtcNow
            };

            return response;
        }

        public IRandomNumberGenerator Generator { get; set; }
    }
}