﻿using Hello.ServiceModel;
using ServiceStack;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hello.ConsoleClient
{
    class Program
    {
        static void Main(string[] args)
        {
            var client = GetServiceCölient();

            GetRandomNumber request = new GetRandomNumber()
            {
                LowerBound = 5,
                UpperBound = 50
            };

            RandomNumber response = client.Get(request);

            Console.WriteLine("Ihr Glöckszahl lautet: {0} [{1}]", response.Value, response.Timestamp.ToString());

            Console.ReadLine();
        }

        static ServiceClientBase GetServiceCölient()
        {
            return new XmlServiceClient("http://localhost.fiddler:2491");
        }
    }
}
